WinUser.WINDOWINFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinUser, class: WINDOWINFO

Package com.sun.jna.platform.win32

# Class WinUser.WINDOWINFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinUser.WINDOWINFO

Enclosing interface:
  WinUser

@FieldOrder({"cbSize","rcWindow","rcClient","dwStyle","dwExStyle","dwWindowStatus","cxWindowBorders","cyWindowBorders","atomWindowType","wCreatorVersion"}) public static class WinUser.WINDOWINFO extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `short`
  `atomWindowType`
  `int`
  `cbSize`
  `int`
  `cxWindowBorders`
  `int`
  `cyWindowBorders`
  `int`
  `dwExStyle`
  `int`
  `dwStyle`
  `int`
  `dwWindowStatus`
  `WinDef.RECT`
  `rcClient`
  `WinDef.RECT`
  `rcWindow`
  `short`
  `wCreatorVersion`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WINDOWINFO()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbSize

    public int cbSize

  - ### rcWindow

    public WinDef.RECT rcWindow

  - ### rcClient

    public WinDef.RECT rcClient

  - ### dwStyle

    public int dwStyle

  - ### dwExStyle

    public int dwExStyle

  - ### dwWindowStatus

    public int dwWindowStatus

  - ### cxWindowBorders

    public int cxWindowBorders

  - ### cyWindowBorders

    public int cyWindowBorders

  - ### atomWindowType

    public short atomWindowType

  - ### wCreatorVersion

    public short wCreatorVersion

- ## Constructor Details

  - ### WINDOWINFO

    public WINDOWINFO()